Skip to main content
GET
/
jobs
/
{job_id}
Get Job Information
curl --request GET \
  --url https://api.xplenty.com/{account_id}/api/jobs/{job_id} \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": 157,
  "status": "completed",
  "owner_id": 123,
  "progress": 1,
  "outputs_count": 2,
  "outputs": [
    {
      "id": 123,
      "name": "projected_results",
      "records_count": 10415234,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "url": "<string>",
      "component": {
        "name": "<string>",
        "type": "<string>",
        "fields": [
          "<string>"
        ]
      }
    }
  ],
  "variables": {},
  "dynamic_variables": {},
  "started_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "failed_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "cluster_id": 52,
  "package_id": 434,
  "errors": "<string>",
  "runtime_in_seconds": 123,
  "url": "<string>",
  "html_url": "<string>",
  "log_url": "<string>",
  "creator": {
    "type": "<string>",
    "display_name": "<string>",
    "id": 123,
    "url": "<string>"
  },
  "package": {
    "id": 123,
    "name": "<string>",
    "url": "<string>"
  },
  "cluster": {
    "id": 123,
    "name": "<string>",
    "url": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...

Headers

Accept
string
default:application/vnd.xplenty+json; version=2
required

API version header — required on all requests

Path Parameters

job_id
integer
required

The unique ID of the job

Response

Successful response

id
integer
Example:

157

status
enum<string>
Available options:
idle,
pending,
queued,
running,
completed,
failed,
pending_stoppage,
stopping,
stopped
Example:

"completed"

owner_id
integer
progress
number<double>
Required range: 0 <= x <= 1
Example:

1

outputs_count
integer
Example:

2

outputs
object[]
variables
object
dynamic_variables
object
started_at
string<date-time> | null
created_at
string<date-time>
failed_at
string<date-time> | null
updated_at
string<date-time>
cluster_id
integer
Example:

52

package_id
integer
Example:

434

errors
string
runtime_in_seconds
integer
url
string<uri>
html_url
string<uri>
log_url
string<uri> | null
creator
object
package
object
cluster
object
Last modified on April 15, 2026